Bug 257074 - databases/go-pgweb: Add rc.d script
Summary: databases/go-pgweb: Add rc.d script
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: feature, needs-qa
Depends on:
Blocks:
 
Reported: 2021-07-09 07:39 UTC by Daniel Morante
Modified: 2021-07-21 05:34 UTC (History)
0 users

See Also:
koobs: merge-quarterly?


Attachments
Git diff (2.71 KB, patch)
2021-07-09 07:39 UTC, Daniel Morante
koobs: maintainer-approval+
Details | Diff
Git diff (2.84 KB, patch)
2021-07-10 20:40 UTC, Daniel Morante
no flags Details | Diff
Git diff (2.97 KB, patch)
2021-07-21 04:56 UTC, Daniel Morante
daniel: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Morante 2021-07-09 07:39:25 UTC
Created attachment 226320 [details]
Git diff

Patch to add an rc.d service script for pgweb.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-09 08:01:54 UTC
Comment on attachment 226320 [details]
Git diff

Pending QA confirmation:

Approved by: portmgr (blanket: unmaintained port)
MFH: 2020Q3
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-09 08:02:33 UTC
@Reporter Given the package changes (addition of a file), PORTREVISION bump is appropriate in this case
Comment 3 Daniel Morante 2021-07-10 20:40:10 UTC
Created attachment 226358 [details]
Git diff

Oops, that's what happens trying to update a port while being sleep deprived.
Updated with the corrected patch.

Also since this port has no maintainer, I'd be happy to take that.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-21 03:24:33 UTC
@Daniel Thanks for the patch! You can set maintainer-approval attachment flag to + for ports that are unmaintained:

  Approved by: portmgr (blanket: unmaintained port)

Did you forget to update MAINTAINER line or did I misunderstand comment 3 as wanting to maintain this port?
Comment 5 Daniel Morante 2021-07-21 04:56:22 UTC
Created attachment 226577 [details]
Git diff

Nope, you are correct.  I forgot to change the MAINTAINER line.
Corrected patch attached.